// SPDX-License-Identifier: BSD-3-Clause
package org.islandoftex.texplate.exceptions;

/**
 * Handles exceptions when the template is somehow invalid.
 *
 * @version 1.0
 * @since 1.0
 */
public class InvalidTemplateException extends Exception {

    public InvalidTemplateException() {
    }

    /**
     * Constructor.
     *
     * @param message Message to be attached to the exception.
     */
    public InvalidTemplateException(String message) {
        super(message);
    }

    /**
     * Constructor.
     *
     * @param message Message to be attached to the exception.
     * @param cause The throwable cause to be forwarded.
     */
    public InvalidTemplateException(String message, Throwable cause) {
        super(message, cause);
    }

}
